com.ihr.xbrl.om.formula

## Interface XBRLRSCustomFunctionLibrary

- All Superinterfaces:
    net.sf.saxon.functions.FunctionLibrary, java.io.Serializable
  All Known Implementing Classes:
    RSFunctionLibrary, XBRLCustomFunctionImplementationLibrary, XBRLRSCustomFunctionLibraryAbstract, XFFFunctionLibrary, XFIFunctionLibrary

      public interface XBRLRSCustomFunctionLibrary
      extends net.sf.saxon.functions.FunctionLibrary

  Custom function packages created for Reporting Standard S.L. XBRL Processor must agree with this interface. There is an abstract class XBRLRSCustomFunctionLibraryAbstract that implements this interface.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XBRLFormulaProcessor` | `getFormulaProcessor()` This function returns the instance of the XBRLFormulaProcessor that has been set during the initialization phase of this library.
    `void` | `setFormulaProcessor(XBRLFormulaProcessor fp)` This function will be called when the function library is initialized.

    - ### Methods inherited from interface net.sf.saxon.functions.FunctionLibrary

      `bind, copy, getFunctionSignature`

- - ### Method Detail

    - #### setFormulaProcessor

          void setFormulaProcessor(XBRLFormulaProcessor fp)

      This function will be called when the function library is initialized. The library should store the formula processor for internal use within functions in the library. See also `getFormulaProcessor()`
      Parameters:
        `fp` - the new formula processor

    - #### getFormulaProcessor

          XBRLFormulaProcessor getFormulaProcessor()

      This function returns the instance of the XBRLFormulaProcessor that has been set during the initialization phase of this library.

      Use methods inside the XBRLFormulaProcessor in order to access the instance document under validation, the DTSContainer and, from that point, all the information in the DTS such as concepts defined, labels, relationships, etc.

      Returns:
        XBRLFormulaProcessor